#include <iostream>
using namespace std;
int main()
{
    int A,B,C,D,E,kashoni=0;
    cin>>A>>B>>C>>D>>E;
    if(1<=A && A<=B && B<=C && C<=D && D<=E && E<=1000){
        if(A*A+B*B+C*C+D*D<=E*E){
            kashoni++;
        }
        if(A*A+B*B+C*C+D*D>=E*E){
            kashoni=kashoni+((A*A+B*B+C*C+D*D)/(E*E));
            if((A*A+B*B+C*C+D*D)%(E*E)!=0)
                kashoni++;
        }
    }
    cout<<kashoni;

    return 0;
}
